%define name gambas-gui
%define version 0.84a
%define release 1mdk

Name:         %name
License:      GPL
Group:        Development/Other
Summary:      Gambas-gui is the VB-like interface to gambas.
Version:      %version
Release:      %release
Url:	http://gambas.sf.net/
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: gambas = %{version}
BuildRequires: libgambas-devel = %{version}
BuildArch: noarch
Requires: gambas = %{version}
Requires: gambas-doc

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm).  With Gambas, you can
quickly design your program GUI, access MySQL or PostgreSQL databases,
pilot KDE applications with DCOP, translate your program into many
languages, and so on...

This package provides only the VB-like environment, which is
itself written in gambas.

%prep

%setup
export APP=`rpm -ql libgambas0-devel | grep /%{name}-%{version}.tar.bz2` 
tar xjvf $APP
perl -pi -e 's|File.Dir\(Component.Path\) \&/ "share/help/index.html"|"/usr/share/doc/gambas-doc-%{version}/help/index.html"|;' app/gambas/FExplorer.class

%build
for i in app/* ; do 
  cd $i
  gbc
  gba
  rm -rf .gambas
  cd -
done

%install
install -d ${RPM_BUILD_ROOT}/usr/bin
install -d ${RPM_BUILD_ROOT}%_libdir/gambas-%{version}/bin/
install -d ${RPM_BUILD_ROOT}%_libdir/gambas-%{version}/lib/info/
install -m 0755 app/gambas/gambas ${RPM_BUILD_ROOT}/usr/bin/
install -m 0755 app/Util/Util ${RPM_BUILD_ROOT}%_libdir/gambas-%{version}/bin/
install -m 0755 app/gambas-database-manager/gambas-database-manager ${RPM_BUILD_ROOT}/usr/bin/
install -d ${RPM_BUILD_ROOT}/usr/share/icons/mini
install -d ${RPM_BUILD_ROOT}/%_libdir/menu
install -m 0644 app/gambas/img/32/gambas.png ${RPM_BUILD_ROOT}/usr/share/icons/
install -m 0644 app/gambas/img/16/gambas.png ${RPM_BUILD_ROOT}/usr/share/icons/mini
install -m 0644 menu/gambas ${RPM_BUILD_ROOT}%_libdir/menu/
install -m 0644 menu/gambas-database-manager ${RPM_BUILD_ROOT}%_libdir/menu/
install -m 0644 `find src -name *.component` ${RPM_BUILD_ROOT}%_libdir/gambas-%{version}/lib/

cd ${RPM_BUILD_ROOT}/%_libdir/gambas-%{version}/
cp %_libdir/gambas-%{version}/lib/lib.gb*.la .
sh -c 'for l in *.la ; do l=${l:4:${#l}-7}; echo $l.info; gbi $l > lib/info/$l.info; done'
rm -f *.la
cd -
find ${RPM_BUILD_ROOT} -size 0 -exec rm -f {} \;

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/gambas-%{version}/*
%_libdir/menu/*
%_iconsdir/*

%post -p /usr/bin/update-menus

%postun -p /usr/bin/update-menus

%changelog 
* Thu Feb 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.84a-1mdk
- from Rob Kudla <rpm@kudla.org> : 
	- version 0.84a
	- fixed Requires and BuildRequires to match gambas version

* Tue Jan 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.82-1mdk
- from Rob Kudla <rpm@kudla.org> :
	- new version

* Tue Jan 13 2004 Rob Kudla <rpm@kudla.org> 0.81-1mdk
- new version

* Tue Jan 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.80-1mdk
- from Rob <rpm@kudla.org> :
	- new version

* Sun Dec 21 2003 - rpm@kudla.org
- new version

* Mon Dec 08 2003 - rpm@kudla.org
- new version

* Fri Nov 21 2003 - rpm@kudla.org
- new version
- further mandrakifying of package

* Sun Oct 26 2003 - rpm@kudla.org
- fixed location of help files

* Sat Oct 25 2003 - rpm@kudla.org
- new version
- mandrakifying build structure

* Sat Aug 30 2003 - rpm@kudla.org
- new version
- removed patch again since i think there's a new file dialog

* Mon Aug 04 2003 - rpm@kudla.org
- new version
- removed InputBox from file list (it's part of Util now)
- restored dialog fix patch since dialog wasn't fixed :)

* Tue Jul 15 2003 - rpm@kudla.org
- new version
- removed patch to see if dialog bug fixed
- added Util library binary to rpm (previously added InputBox binary without mentioning it)

* Sun Jul 06 2003 - rpm@kudla.org
- new version
- patch open dialog to fix greyed out parent/root buttons till new one is released
- also fixed properties window so it's not cleared whenever form loses focus

* Fri Jun 27 2003 - rpm@kudla.org
- new version
- include help browser

* Sun May 25 2003 - rpm@kudla.org
- new version

* Tue May 13 2003 - rpm@kudla.org
- new version

* Mon May 05 2003 - rpm@kudla.org
- this time i put them where mandrake wanted to see them

* Thu May 05 2003 - rpm@kudla.org
- added icons and desktop files for menu entries

* Thu May 05 2003 - rpm@kudla.org
- oops, forgot the database manager

* Thu May 05 2003 - rpm@kudla.org
- new version

* Thu Apr 15 2003 - rpm@kudla.org
- new version

* Sun Mar 30 2003 - rpm@kudla.org
- new version

* Tue Mar 18 2003 - rpm@kudla.org
- initial mdk package

